OAuth2Constants (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.web.oauth2, class: OAuth2Constants

Package org.apache.hadoop.hdfs.web.oauth2

# Class OAuth2Constants

java.lang.Object
org.apache.hadoop.hdfs.web.oauth2.OAuth2Constants

@Public @Evolving public final class OAuth2Constants extends Object
Sundry constants relating to OAuth2 within WebHDFS.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACCESS_TOKEN`
  `static final String`
  `BEARER`
  `static final String`
  `CLIENT_CREDENTIALS`
  `static final String`
  `CLIENT_ID`
  `static final String`
  `CLIENT_SECRET`
  `static final String`
  `EXPIRES_IN`
  `static final String`
  `GRANT_TYPE`
  `static final String`
  `REFRESH_TOKEN`
  `static final String`
  `TOKEN_TYPE`
  `static final String`
  `URLENCODED`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### URLENCODED

    public static final String URLENCODED
    See Also:
      - Constant Field Values

  - ### ACCESS_TOKEN

    public static final String ACCESS_TOKEN
    See Also:
      - Constant Field Values

  - ### BEARER

    public static final String BEARER
    See Also:
      - Constant Field Values

  - ### CLIENT_CREDENTIALS

    public static final String CLIENT_CREDENTIALS
    See Also:
      - Constant Field Values

  - ### CLIENT_ID

    public static final String CLIENT_ID
    See Also:
      - Constant Field Values

  - ### CLIENT_SECRET

    public static final String CLIENT_SECRET
    See Also:
      - Constant Field Values

  - ### EXPIRES_IN

    public static final String EXPIRES_IN
    See Also:
      - Constant Field Values

  - ### GRANT_TYPE

    public static final String GRANT_TYPE
    See Also:
      - Constant Field Values

  - ### REFRESH_TOKEN

    public static final String REFRESH_TOKEN
    See Also:
      - Constant Field Values

  - ### TOKEN_TYPE

    public static final String TOKEN_TYPE
    See Also:
      - Constant Field Values